|  | Home · All Classes · Modules

# QPyDesignerContainerExtension Class Reference
[QtDesigner module]

Inherits QObject and QDesignerContainerExtension.

### Methods

- __init__ (self, QObject parent)

## Detailed Description

The QPyDesignerContainerExtension class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to add pages to a custom multi-page container in Qt Designer's workspace you should implement a Python class derived from QPyDesignerContainerExtension rather than one derived from QObject and QDesignerContainerExtension.

## Method Documentation

### QPyDesignerContainerExtension.__init__ (self, QObject parent)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.